Build Qt5.2.1 for WinCE6 fatal error "dnsapi.lib"



  • I am trying to compile Qt 5.2.1 for WinCe6, but I always get this error:

    link /NOLOGO /NODEFAULTLIB:OLDNAMES.LIB /DEBUG /SUBSYSTEM:WINDOWSCE,6.00 /MACHINE:THUMB /DLL /SAFESEH:NO /VERSION:5.21 /OUT:....\lib\Qt5Networkd.dll @C:\Users\rlink\AppData\Local\Temp\nmA76C.tmp

    LINK : fatal error LNK1181: cannot open input file "dnsapi.lib".

    NMAKE : fatal error U1077: ""c:\Program Files (x86)\Microsoft Visual Studio 9.0\VC\ce\bin\x86_arm\link.EXE"": Return-Code "0x49d"
    Stop.

    NMAKE : fatal error U1077: ""c:\Program Files (x86)\Microsoft Visual Studio 9.0\VC\BIN\nmake.exe"": Return-Code "0x2"
    Stop.

    NMAKE : fatal error U1077: "cd": Return-Code "0x2"
    Stop.

    NMAKE : fatal error U1077: "cd": Return-Code "0x2"
    Stop.

    NMAKE : fatal error U1077: "cd": Return-Code "0x2"
    Stop.

    Using the Visual Studio Command prompt I executed these commands:
    configure -platform win32-msvc2008 -xplatform wince60smart9_arm11-armv4i-msvc2005

    Anyone know how to fix this error?
    Thanks in advance



  • I got the same error trying to build Qt 5.3.1 with a custom Win CE 6 SDK. Anyone know of a fix?



  • Hi,

    I ran into the same problem, did you've got a fix yet?



  • Hi deweirdt,

    Sorry i never managed to get pass it, ended up using GDI instead due to time pressure.

    Mark


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.